Summary: 	Infrastructure to gather information about the running Linux system
Name: 		systemtap
Epoch:		1
Version: 	3.1
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Development/Kernel
URL: 		http://sourceware.org/systemtap/
Source: 	http://sourceware.org/systemtap/ftp/releases/systemtap-%{version}.tar.gz
BuildRequires:	libcap-devel
BuildRequires:	elfutils-static-devel
BuildRequires:	libavahi-client-devel
BuildRequires:	latex2html
BuildRequires:	texlive-texmf
BuildRequires:	xmlto
BuildRequires:	pkgconfig(rpm) => 4.12.90

%description
SystemTap provides free software (GPL) infrastructure to simplify the gathering
of information about the running Linux system. This assists diagnosis of a
performance or functional problem. SystemTap eliminates the need for the
developer to go through the tedious and disruptive instrument, recompile,
install, and reboot sequence that may be otherwise required to collect data.

SystemTap provides a simple command line interface and scripting language for
writing instrumentation for a live running kernel. We are publishing samples,
as well as enlarging the internal "tapset" script library to aid reuse and
abstraction. We also plan to support probing userspace applications. We are
investigating interfacing Systemtap with similar tools such as Frysk,
Oprofile and LTT.

Current project members include Red Hat, IBM, Intel, and Hitachi.

%prep
%setup -q

%build
%configure2_5x --with-rpm
%make_build

%install
%make_install

%find_lang %{name} --all-name --with-man

# we add testsuite with a lot of examples
install -m 755 -d testsuite %{buildroot}%{_datadir}/%{name}/

%files -f %{name}.lang
%doc AUTHORS HACKING README runtime/docs/examples doc/langref.pdf doc/tutorial.pdf
%doc %{_docdir}/%{name}/tapsets.pdf
%doc %{_docdir}/%{name}/SystemTap_Beginners_Guide.pdf
%{_bindir}/dtrace
%{_bindir}/stap*
%{_mandir}/man*/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_includedir}/sys/sdt.h
%{_includedir}/sys/sdt-config.h


%changelog
* Tue Feb 21 2017 luigiwalser <luigiwalser> 1:3.1-1.mga6
+ Revision: 1087193
- 3.1

* Sat Feb 04 2017 daviddavid <daviddavid> 1:3.0-3.mga6
+ Revision: 1084796
- use new rpm macros thus fixing installation of all lang manpages

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:3.0-2.mga6
+ Revision: 1045940
- add patch from fedora with fixes for kernel 4.6

  + tv <tv>
    - gtkmm2.4-devel & libglade2.0-devel are unneeded for years

* Mon Mar 28 2016 luigiwalser <luigiwalser> 1:3.0-1.mga6
+ Revision: 996040
- docs are pdf now
- html docs are not generated for now
- 3.0
- include patch from fedora to fix brown paper bag bug

* Sat Dec 26 2015 luigiwalser <luigiwalser> 1:2.9-1.mga6
+ Revision: 915478
- add systemtap beginners guide to doc list
- 2.9

* Sat Oct 10 2015 blino <blino> 1:2.6-6.mga6
+ Revision: 889400
- buildrequire xmlto and package html doc (build failed when xmlto was installed)

* Sun Sep 06 2015 tv <tv> 1:2.6-5.mga6
+ Revision: 873244
- submit to core/release

* Sun Aug 23 2015 tv <tv> 1:2.6-4.mga6
+ Revision: 868858
- fix "Installed (but unpackaged) file(s)"
- rebuild for rpm-4.13

* Wed Oct 15 2014 umeabot <umeabot> 1:2.6-3.mga5
+ Revision: 740900
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 1:2.6-1.mga5
+ Revision: 674462
- 2.6

* Fri May 09 2014 luigiwalser <luigiwalser> 1:2.5-1.mga5
+ Revision: 621627
- 2.5

* Wed Dec 18 2013 luigiwalser <luigiwalser> 1:2.4-1.mga4
+ Revision: 558636
- 2.4
- fix /usr/share/systemtap directory permissions

* Tue Oct 22 2013 umeabot <umeabot> 1:2.3-5.mga4
+ Revision: 541512
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 dmorgan <dmorgan> 1:2.3-4.mga4
+ Revision: 496062
- Remove workaround now that java7 is fixed

* Sat Oct 12 2013 dmorgan <dmorgan> 1:2.3-3.mga4
+ Revision: 495974
- workaround java conflicts

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1:2.3-2.mga4
+ Revision: 494426
- add BR texlive-texmf to try to fix build

* Fri Aug 09 2013 luigiwalser <luigiwalser> 1:2.3-1.mga4
+ Revision: 464828
- 2.3

* Wed Jul 24 2013 luigiwalser <luigiwalser> 1:2.2.1-1.mga4
+ Revision: 457521
- 2.2.1

* Mon Jan 14 2013 umeabot <umeabot> 1:2.0-4.mga3
+ Revision: 383985
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 1:2.0-3.mga3
+ Revision: 340115
- Fix for _libdir != _libexecdir
- Fix file list to own directories

* Tue Dec 18 2012 tv <tv> 1:2.0-2.mga3
+ Revision: 332390
- rebuild for new rpm

* Tue Dec 18 2012 tv <tv> 1:2.0-1.mga3
+ Revision: 332375
- drop obsolete CVE patch
- new release
- rebuild for new rpm

* Tue Jun 12 2012 tv <tv> 1:1.6-6.mga3
+ Revision: 259950
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 1:1.6-5.mga3
+ Revision: 259377
- rebuild for new rpm-4.10.0

* Mon Apr 09 2012 luigiwalser <luigiwalser> 1:1.6-4.mga2
+ Revision: 230000
- fix CVE-2012-0875 (from redhat)

* Tue Dec 20 2011 dmorgan <dmorgan> 1:1.6-3.mga2
+ Revision: 185014
- Rebuild against rpm 4.9.1.2

* Tue Oct 18 2011 dmorgan <dmorgan> 1:1.6-2.mga2
+ Revision: 156307
- Add rpm-devel as buildrequires
- Add rpm support

* Tue Oct 18 2011 dmorgan <dmorgan> 1:1.6-1.mga2
+ Revision: 156102
- New version 1.6

* Fri Sep 09 2011 tv <tv> 1:1.4-1.mga2
+ Revision: 141642
- new release
- sync patches with fedora
- drop buildroot

  + rtp <rtp>
    - disable systemtap on mips as it's not supported

* Wed Jan 12 2011 ahmad <ahmad> 1:1.3-1.mga1
+ Revision: 7722
- imported package systemtap

